From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/nomacs/
Date: Tue, 16 Jun 2020 13:39:11 +0000 (UTC) [thread overview]
Message-ID: <1592314738.f0f3dd60604bd36d35ee19e6d8cbf6e58f69386b.asturm@gentoo> (raw)
commit: f0f3dd60604bd36d35ee19e6d8cbf6e58f69386b
Author: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Tue May 5 11:08:49 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Jun 16 13:38:58 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0f3dd60
media-gfx/nomacs: 3.14.2 version bump. Add plugins support.
The updated nomacs ebuild contains:
- add 'plugins' USE-flag with appropriate SRC_URI variable,
and changes within src_unpack() and src_configure() functions;
- add src_prepare() section as there is no PATCHES array in ebuild
with fix for nomacs-plugins intallation and search path.
Closes: https://bugs.gentoo.org/712918
Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
Closes: https://github.com/gentoo/gentoo/pull/15649
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
media-gfx/nomacs/Manifest | 2 +
media-gfx/nomacs/metadata.xml | 1 +
media-gfx/nomacs/nomacs-3.14.2.ebuild | 91 +++++++++++++++++++++++++++++++++++
3 files changed, 94 insertions(+)
diff --git a/media-gfx/nomacs/Manifest b/media-gfx/nomacs/Manifest
index e0aca8ce306..8b3319018db 100644
--- a/media-gfx/nomacs/Manifest
+++ b/media-gfx/nomacs/Manifest
@@ -1 +1,3 @@
DIST nomacs-3.12.tar.gz 1736648 BLAKE2B 533e18dec4be5d945213ccd629262a2cbae1eba93599f43be0a98d32d0b54d9caad7d963809f2fc9bb5c1ba682a39f44763b5d04e50c6e86658f6cd84324f3d2 SHA512 4508354d48a6115cd40f701cc90cbbcb84490e99eaac0295db48f6fea99550d5e2b3e7365128d0c9cc4eeb621906f55e275603d84cb8b6bb164d0b5e2e192119
+DIST nomacs-3.14.2.tar.gz 2169504 BLAKE2B 6050ddba3ddbdeb7d1fbd29831d5dfbee066b61398ef46be4145a287d565eb2d55d59f47bc9e9e34a10379f8e0e676ca1f5373389a0d35c27fe85cff5da3fded SHA512 58104c85078bdbff7f65625658bb01b152631470eea93a43494eed55ae5e2441b7bcf3ed6c8f1aef07831bc99c80af94467fcc0e15dc1d282ef313bfcb3c81e9
+DIST nomacs-plugins-3.14.tar.gz 514472 BLAKE2B fe8e1608c0a0ed502ea82efe80a9cfab3a9aff3ca7e8cbecfcb199377d137f5c19ad176940ef1f1109938634af3548008da1311339e6da78b8b5b983102bebb6 SHA512 c0bca87e50b7b91d80a9d6afd95eeb1d6730b17b9a28ad4109514b36c42781b3f67b25f68f48c0953110d1e02bb03762e813af9c1ec2851c072b4aea74969cbd
diff --git a/media-gfx/nomacs/metadata.xml b/media-gfx/nomacs/metadata.xml
index b27b6fcfc0e..17d5f379444 100644
--- a/media-gfx/nomacs/metadata.xml
+++ b/media-gfx/nomacs/metadata.xml
@@ -12,5 +12,6 @@
</upstream>
<use>
<flag name="opencv">Build support for <pkg>media-libs/opencv</pkg></flag>
+ <flag name="plugins">Build plugins</flag>
</use>
</pkgmetadata>
diff --git a/media-gfx/nomacs/nomacs-3.14.2.ebuild b/media-gfx/nomacs/nomacs-3.14.2.ebuild
new file mode 100644
index 00000000000..ff12e28b2c9
--- /dev/null
+++ b/media-gfx/nomacs/nomacs-3.14.2.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake xdg-utils
+
+PLUGIN_PKG="${PN}-plugins-$(ver_cut 1-2)"
+
+DESCRIPTION="Qt-based image viewer"
+HOMEPAGE="https://nomacs.org/"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+ plugins? ( https://github.com/${PN}/${PN}-plugins/archive/$(ver_cut 1-2).tar.gz -> ${PLUGIN_PKG}.tar.gz )
+"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="+jpeg +opencv plugins raw tiff zip"
+
+REQUIRED_USE="
+ raw? ( opencv )
+ tiff? ( opencv )
+"
+
+RDEPEND="
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5[jpeg?]
+ dev-qt/qtnetwork:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ media-gfx/exiv2:=
+ opencv? ( >=media-libs/opencv-3.4:= )
+ raw? ( media-libs/libraw:= )
+ tiff? (
+ dev-qt/qtimageformats:5
+ media-libs/tiff
+ )
+ zip? ( dev-libs/quazip )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-qt/linguist-tools:5
+ virtual/pkgconfig
+"
+
+S="${WORKDIR}/${P}/ImageLounge"
+
+DOCS=( src/changelog.txt )
+
+src_unpack() {
+ unpack "${P}.tar.gz"
+ if use plugins ; then
+ unpack "${PLUGIN_PKG}.tar.gz"
+ mv "${PLUGIN_PKG}" "${S}/plugins" || die
+ fi
+}
+
+src_prepare() {
+ cmake_src_prepare
+ if use plugins ; then
+ # Fix nomacs-plugins installation and search library directory
+ sed -i "s:lib/nomacs-plugins:$(get_libdir)/nomacs-plugins:" "${S}/plugins/cmake/Utils.cmake" || die
+ sed -i "s:lib/nomacs-plugins:$(get_libdir)/nomacs-plugins:" "${S}/src/DkCore/DkPluginManager.cpp" || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_CODE_COV=OFF
+ -DUSE_SYSTEM_QUAZIP=ON
+ -DENABLE_TRANSLATIONS=ON
+ -DENABLE_OPENCV=$(usex opencv)
+ -DENABLE_PLUGINS=$(usex plugins)
+ -DENABLE_RAW=$(usex raw)
+ -DENABLE_TIFF=$(usex tiff)
+ -DENABLE_QUAZIP=$(usex zip)
+ )
+ cmake_src_configure
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+}
next reply other threads:[~2020-06-16 13:39 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-06-16 13:39 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-01 4:30 [gentoo-commits] repo/gentoo:master commit in: media-gfx/nomacs/ Sam James
2025-01-01 4:30 Sam James
2024-12-31 20:24 Andreas Sturmlechner
2024-12-31 20:24 Andreas Sturmlechner
2024-11-17 17:16 Joonas Niilola
2024-11-17 17:16 Joonas Niilola
2024-03-07 23:24 Andreas Sturmlechner
2023-11-22 11:31 Arthur Zamarin
2023-10-09 7:04 Sam James
2023-09-03 12:19 Andreas Sturmlechner
2022-09-10 0:29 Sam James
2022-09-09 16:09 Andrew Ammerlaan
2022-08-06 21:49 James Le Cuirot
2021-02-23 19:53 Andreas Sturmlechner
2021-02-15 3:36 Sam James
2020-10-10 11:57 Andreas Sturmlechner
2020-10-09 8:41 Agostino Sarubbo
2020-10-04 16:59 Sam James
2020-08-30 5:20 Sam James
2020-08-09 8:32 Andreas Sturmlechner
2020-07-17 15:17 Agostino Sarubbo
2020-07-17 15:05 Agostino Sarubbo
2019-04-18 9:03 Michael Palimaka
2019-02-07 11:46 Mikle Kolyada
2019-01-31 22:15 Thomas Deutschmann
2019-01-14 14:35 Mikle Kolyada
2018-12-31 16:43 Thomas Deutschmann
2018-12-29 22:02 Andreas Sturmlechner
2018-06-07 10:13 Agostino Sarubbo
2018-04-13 20:00 Andreas Sturmlechner
2018-04-13 20:00 Andreas Sturmlechner
2018-04-10 9:22 Andreas Sturmlechner
2017-12-07 11:31 Michael Palimaka
2017-09-13 12:20 Michael Palimaka
2017-08-27 7:14 Michael Palimaka
2017-08-27 7:14 Michael Palimaka
2017-06-20 5:17 Agostino Sarubbo
2017-06-18 14:01 Agostino Sarubbo
2017-04-25 8:08 Michael Palimaka
2017-01-09 12:26 Aaron Bauman
2016-12-22 17:07 Michael Palimaka
2016-10-28 20:38 Michael Palimaka
2016-08-11 16:02 Michael Palimaka
2016-06-09 11:18 Michael Palimaka
2016-03-06 12:58 Agostino Sarubbo
2015-10-04 21:44 Michał Górny
2015-10-04 14:51 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1592314738.f0f3dd60604bd36d35ee19e6d8cbf6e58f69386b.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox